import { EventEmitter, OnInit } from '@angular/core';
import { MatMenu } from '@angular/material/menu';
import { IFileMeta } from '../../tld-common/models';
import { TldTranslateConfigService } from '../../tld-common/services';
import { ITranslationFile } from '../models/translate-file.model';
import { FileCategory } from '../services/api/models/file-category.model';
import * as i0 from "@angular/core";
export declare class TldTranslateFileDownloadButtonComponent implements OnInit {
    private readonly config;
    isAuth: boolean;
    get showSourceDownloadPdf(): boolean;
    get showSourceDownloadImage(): boolean;
    get extensions(): IFileMeta[];
    readonly translatedCategory = FileCategory.TRANSLATED;
    menu: MatMenu;
    tldClick: EventEmitter<IFileMeta>;
    file: ITranslationFile;
    disabled: boolean;
    sourceDownload: boolean;
    constructor(config: TldTranslateConfigService);
    ngOnInit(): void;
    onClick(meta?: IFileMeta): void;
    onSourceClick(): void;
    onMenuOpen(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TldTranslateFileDownloadButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TldTranslateFileDownloadButtonComponent, "tld-translate-file-download-button", never, { "file": { "alias": "file"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "sourceDownload": { "alias": "sourceDownload"; "required": false; }; }, { "tldClick": "tldClick"; }, never, never, false, never>;
}
